Subject: [sunset4] FW: [BEHAVE] comment on draft-li-behave-nat444-test-00, FTP active/passive

From: "Will Liu (Shucheng)" <[email-masked]>
Date: Thu, 12 Jul 2012 03:13:27 +0000

I am forwarding the comments from behave for draft-li-behave-nat444-test-00

Regards,
Will

-----Original Message-----
From: Will Liu (Shucheng) 
Sent: Thursday, July 12, 2012 11:10 AM
To: 'Dan Wing'; Zhangzongjian (Thomas); [email-masked]; [email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: [BEHAVE] comment on draft-li-behave-nat444-test-00, FTP active/passive

Thanks for sharing your statistics, which is very interesting and also helpful for us. You are correct. As far as we know, both IE6 and ftp command in DOS (in windows) are using the Active(PORT) mode as the default mode, which are still widely used in China. However, as IE8/Firefox/chrome and Win7 spread in China in recent years, more and more FTPs are working under the passive mode. For your question about the number of active mode FTP, we afraid that we do not have the statistics for the number of active/passive mode.
As I double checked our testing result, it was generated from the default DOS (in windows) ftp command, under the PASSIVE mode. Just as you mentioned, passive FTP does not need an FTP ALG. That's why I used the "typical" word. 

I hope my answer is helpful. 

Cheers,
Will

-----Original Message-----
From: Dan Wing [mailto:[email-masked]] 
Sent: Wednesday, July 11, 2012 11:08 PM
To: Zhangzongjian (Thomas); [email-masked]; [email-masked]; [email-masked]; [email-masked]; Will Liu (Shucheng)
Cc: [email-masked]
Subject: RE: [BEHAVE] comment on draft-li-behave-nat444-test-00, FTP active/passive

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Zhangzongjian (Thomas)
> Sent: Tuesday, July 10, 2012 8:40 PM
> To: Dan Wing; [email-masked];
> [email-masked]; [email-masked]; [email-masked]; Will Liu
> (Shucheng)
> Cc: [email-masked]
> Subject: Re: [BEHAVE] comment on draft-li-behave-nat444-test-00, FTP
> active/passive
> 
> Dear Dan
> In fact we tested the typical FTP active model as an illustration for
> the FTP scenarios.

My statistics show that active FTP is not typical.  Several years ago I
obtained logs from ftp.cisco.com and 99% of our connections were
passive-mode FTP.  It was only one user, downloading several files, that was
using active-mode FTP, and had an IP address belonging to Boeing.  All web
browsers do passive-mode FTP by default or exclusively, including IE 7 and
up, Safari, Firefox, Opera, and Chrome.

Do you have statistics showing a high number of active mode FTP?  Perhaps
this is caused by IE 6, which I know is still used extensively in China, and
defaults to active-mode FTP.  It would be interesting to know how often
active mode FTP is used considering it would also require FTP ALG support in
existing WiFi access points (restaurants, hotels, and airports).

> In such an example, the FTP server is in public
> networks and FTP client is in private network. Thanks for your
> comments. We will add the detailed description in the next version.

Thanks, that would be helpful.  As you know, passive FTP does not need an
FTP ALG.

-d

> Thomas
> Best regards
> 
> 
> -----Original Message-----
> From: Dan Wing [mailto:[email-masked]]
> Sent: Wednesday, July 11, 2012 8:24 AM
> To: [email-masked]; [email-masked];
> [email-masked]; [email-masked]; Will Liu (Shucheng);
> Zhangzongjian (Thomas)
> Subject: comment on draft-li-behave-nat444-test-00, FTP active/passive
> 
> Hi.
> 
> It would be helpful in your FTP test results if you indicated if
> passive
> (PASV) or active mode was tested.
> 
> -d
> 
> 
> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/behave